/*
 * Author:          Patrick-Christopher Mattulat
 * Co-Author:       Claude Sonnet 4.6 (LLM)
 * Company:         Lynar Studios
 * E-Mail:          webmaster@lynarstudios.com
 * Created:         2020-10-18
 * Changed:         2026-06-23
 *
 * */

#include "XmlParserTestWrapper.hpp"

using ls::standard::core::type::byte_field;
using ls::standard::io::XmlParser;
using std::list;
using std::move;
using std::pair;
using std::string;
using test::io::XmlParserTestWrapper;

XmlParserTestWrapper::XmlParserTestWrapper() : XmlParser(nullptr)
{}

XmlParserTestWrapper::~XmlParserTestWrapper() noexcept = default;

pair<string, string> XmlParserTestWrapper::readAttribute(const byte_field &_data)
{
  return XmlParser::_readAttribute_(_data);
}

list<pair<string, string>> XmlParserTestWrapper::readAttributes(byte_field _data)
{
  return XmlParser::_readAttributes_(::move(_data));
}
